# Generated by Django 2.0.5 on 2020-03-24 13:41

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0081_auto_20200206_1334'),
        ('collector', '0009_auto_20200227_0919'),
    ]

    operations = [
        migrations.CreateModel(
            name='NCM_Cisco_CDP_Data',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('entity_id', models.IntegerField(unique=True)),
                ('node_id', models.CharField(max_length=300)),
                ('data', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.Customer')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.Provider')),
            ],
        ),
    ]
